DELUSER(8)

NAAM
deluser, delgroup - een gebruiker of groep van het systeem verwijderen

SYNOPSIS
deluser [--backup] [--backup-suffix tknrks] [--backup-to map] [--conf bestand] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker
deluser [--system] [--backup] [--backup-suffix tknrks] [--backup-to map] [--conf bestand] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker
deluser --group [--conf bestand] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groep
delgroup [--system] [--conf bestand] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groep
deluser [--conf bestand] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker groep
deluser --help
deluser --version

BESCHRIJVING
deluser en delgroup verwijderen gebruikers en groepen van het systeem volgens de commandoregelopties en de configuratie-informatie in /etc/deluser.conf en /etc/adduser.conf.

Het zijn meer Debian-specifieke frontends voor de programma's userdel en groupdel, die minder afhankelijk zijn van de distributie. deluser en delgroup hebben als optie het verwijderen van de persoonlijke map of zelfs van alle bestanden op het systeem die eigendom zijn van de te verwijderen gebruiker, ze kunnen een aangepast script uitvoeren en hebben nog andere mogelijkheden.

Raadpleeg het onderdeel OPTIES voor een volledige lijst van en uitleg bij alle opties.

deluser en delgroup kunnen in drie modi uitgevoerd worden:

  Een gebruiker verwijderen
Indien het aangeroepen wordt met één niet-optieargument en zonder de optie --group, zal deluser een niet-systeemgebruiker verwijderen.

Standaard zal deluser de gebruiker verwijderen zonder de persoonlijke map, de map met e-mail of andere bestanden op het systeem die eigendom zijn van de gebruiker, te verwijderen. Het verwijderen van de persoonlijke map en de map met e-mail kan worden bereikt met de optie --remove-home.

De optie --remove-all-files verwijdert alle bestanden op het systeem die eigendom zijn van de gebruiker. Merk op dat als u beide opties activeert, --remove-home geen extra effect zal hebben, omdat alle bestanden, inclusief de persoonlijke map en de map met e-mail, al gedekt zijn door de optie --remove-all-files.

Als u een back-up wilt maken van alle bestanden voordat u ze verwijdert, kunt u de optie --backup activeren, die een bestand gebruikersnaam.tar(.gz|.bz2) zal aanmaken in de map die is opgegeven door de optie --backup-to.

Standaard wordt het back-uparchief gecomprimeerd met gzip(1). Om dit te wijzigen, kan de optie --backup-suffix worden ingesteld op elk achtervoegsel dat wordt ondersteund door tar --auto-compress.

deluser zal weigeren het account van root, de systeembeheerder, te verwijderen.

Als de optie - systeem aan de commandoregel wordt opgegeven, wordt de verwijderingsoperatie alleen uitgevoerd als de gebruiker een systeemgebruiker is. Dit voorkomt het per ongeluk verwijderen van niet-systeemgebruikers. Bovendien wordt er geen foutwaarde teruggegeven als de gebruiker niet bestaat. Scripts van pakketbeheerders van Debian kunnen gebruikmaken van deze vlag om systeemgebruikers of -groepen te verwijderen, terwijl ze het geval waarin de verwijdering al heeft plaatsgevonden negeren.

  Een groep verwijderen
Als deluser wordt aangeroepen met de optie --group, of als delgroup wordt aangeroepen, wordt een groep verwijderd. De primaire groep van een bestaande gebruiker kan niet worden verwijderd. Als de optie --only-if-empty wordt opgegeven, wordt de groep niet verwijderd als er nog leden in zitten.

De optie --system voegt dezelfde functionaliteit toe als de respectieve functies bij gebruikers.

  Een gebruiker uit een specifieke groep verwijderen
Als deluser wordt aangeroepen met twee niet-optie argumenten, zal het een gebruiker verwijderen uit een specifieke groep.

OPTIES
In verschillende modi van deluser zijn verschillende opties toegestaan. Als voor een optie geen geldige modi worden vermeld, wordt deze in alle modi aanvaard.

Voor bepaalde opties kunnen om historische redenen korte versies bestaan. Ze blijven ondersteund worden, maar worden verwijderd uit de documentatie. Gebruikers wordt aangeraden over te stappen op de lange versie van de opties.

--backup
    Alle bestanden in de persoonlijke map van de gebruiker en de map met e-mail back-uppen naar een bestand met de naam gebruikersnaam.tar.bz2 of gebruikersnaam.tar.gz. Geldige modi: deluser, deluser --system.

--backup-suffix tekst
    Het compressiealgoritme selecteren voor een back-up van de persoonlijke map. Kan worden ingesteld op elk achtervoegsel dat wordt herkend door tar --auto-compress. Staat standaard ingesteld op .gz. Geldige modi: deluser, deluser --system.

--backup-to map
    De back-upbestanden niet in de huidige map maar in map plaatsen. Dit stelt impliciet ook --backup in. Staat standaard ingesteld op de huidige werkmap. Geldige modi: deluser, deluser --system.

--conf bestand
    Bestand gebruiken in plaats van de standaardbestanden /etc/deluser.conf en /etc/adduser.conf. Er kunnen meerdere --conf opties gegeven worden.

--debug
    Synoniem voor --stdoutmsglevel=debug. Verouderd.

--group
    Een groep verwijderen. Dit is de standaardactie als het programma wordt aangeroepen als delgroup. Geldige modus: deluser.

--help
    Korte instructies weergeven.

--only-if-empty
    Alleen verwijderen als er geen leden meer zijn. Geldige modi: deluser --group, delgroup.

--quiet
    Synoniem voor --stdoutmsglevel=warn. Verouderd.

--remove-all-files
    Alle bestanden die eigendom zijn van deze gebruiker, van het systeem verwijderen. Opmerking: --remove-home heeft geen effect meer. Als --backup is opgegeven, worden de bestanden verwijderd nadat de back-up is uitgevoerd. Geldige modi: deluser, deluser --system.

--remove-home
    De persoonlijke map en de map met e-mail van de gebruiker verwijderen. Als --backup is opgegeven, worden de bestanden verwijderd nadat de back-up is uitgevoerd. Geldige modi: deluser, deluser --system.

--system
    Alleen verwijderen als de gebruiker/groep een systeemgebruiker/groep is. Als de gebruiker niet bestaat, wordt geen foutwaarde teruggegeven. Geldige modi: deluser, deluser --system.

--verbose
    Synoniem voor --stdoutmsglevel=info. Verouderd.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Minimale prioriteit voor berichten die respectievelijk naar syslog/journal en de console worden gelogd. Waarden zijn trace, debug, info, warn, err en fatal. Berichten met de hier ingestelde prioriteit of hoger worden naar het betreffende medium geprint. Berichten die naar stderr worden geprint, worden niet herhaald op stdout. Hierdoor kan de lokale beheerder de breedsprakigheid van adduser op de console en in het logbestand onafhankelijk beheren, waardoor deze mogelijk verwarrende informatie voor zichzelf kan houden en nuttige informatie in de log blijft staan.

--version
    Versie- en copyrightinformatie weergeven.

LOGGEN↲
deluser maakt gebruik van uitgebreid en configureerbaar loggen om de gedetailleerdheid ervan te kunnen aanpassen aan de behoeften van de systeembeheerder. Dit werkt vergelijkbaar met adduser. Zie adduser(8) voor alle details.

AFSLUITWAARDEN
De afsluitwaarden die in adduser(8) worden gedocumenteerd, zijn ook van toepassing op deluser.

VEILIGHEID
deluser heeft root-privileges nodig en biedt via de opdrachtregeloptie --conf de mogelijkheid om verschillende configuratiebestanden te gebruiken. Gebruik geen sudo(8) of soortgelijke hulpmiddelen om gedeeltelijke rechten te geven aan deluser met beperkte commandoregelparameters. Dit is gemakkelijk te omzeilen en kan gebruikers in staat stellen privileges te verwerven die ze niet zouden moeten hebben. Als u dit wilt, overweeg dan om uw eigen wrapperscript te schrijven en privileges te geven om dat script uit te voeren.

BESTANDEN
/etc/deluser.conf Standaard configuratiebestand voor deluser(8) en delgroup(8)

/usr/local/sbin/deluser.local
    Optionele aangepaste uitbreidingen, zie deluser.local(8)

ZIE OOK
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)